org.keycloak.representations.idm

## Class MappingsRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.MappingsRepresentation

-     public class MappingsRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,ApplicationMappingsRepresentation>` | `applicationMappings`
    `protected List<RoleRepresentation>` | `realmMappings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingsRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,ApplicationMappingsRepresentation>` | `getApplicationMappings()`
    `List<RoleRepresentation>` | `getRealmMappings()`
    `void` | `setApplicationMappings(Map<String,ApplicationMappingsRepresentation> applicationMappings)`
    `void` | `setRealmMappings(List<RoleRepresentation> realmMappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realmMappings

          protected List<RoleRepresentation> realmMappings

    - #### applicationMappings

          protected Map<String,ApplicationMappingsRepresentation> applicationMappings

  - ### Constructor Detail

    - #### MappingsRepresentation

          public MappingsRepresentation()

  - ### Method Detail

    - #### getRealmMappings

          public List<RoleRepresentation> getRealmMappings()

    - #### setRealmMappings

          public void setRealmMappings(List<RoleRepresentation> realmMappings)

    - #### getApplicationMappings

          public Map<String,ApplicationMappingsRepresentation> getApplicationMappings()

    - #### setApplicationMappings

          public void setApplicationMappings(Map<String,ApplicationMappingsRepresentation> applicationMappings)

Copyright © 2014. All Rights Reserved.